<script>
import TopBar from 'ui/topbar.vue';
import Login from 'ui/popups/login.vue';

import { Profile } from 'user/profile';
import {FBRemote} from 'remote/remote';

export default {

	props:[],
	data(){

		return {

			profile:Profile.getState(),
			togLogin:false

		};

	},
	components:{

		login:Login,
		topbar:TopBar

	},
	methods:{

		logout(){
			Profile.logout();
		}

	}

}
</script>

<template>
<div class="main root">

	<topbar class="topbar" :loggedIn="profile.loggedIn" @show-login="togLogin=true" />
	<div>

		<login v-if="!profile.loggedIn&&togLogin" @close="togLogin=false" />

		<router-view></router-view>

	</div>

</div>
</template>

<style scoped>

div.topbar {

	border-bottom: 1px solid var( --separator-color);
}

div .main {
	display:flex;
	flex-flow: column nowrap;
	padding: 0;
	margin: 0;
}

</style>